<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddCssReq StructType
 * @subpackage Structs
 */
class AddCssReq extends APIRequest
{
    /**
     * The css
     * @var XCss
     */
    public $css;
    /**
     * Constructor method for AddCssReq
     * @uses AddCssReq::setCss()
     * @param XCss $css
     */
    public function __construct(XCss $css = null)
    {
        $this
            ->setCss($css);
    }
    /**
     * Get css value
     * @return XCss|null
     */
    public function getCss()
    {
        return $this->css;
    }
    /**
     * Set css value
     * @param XCss $css
     * @return AddCssReq
     */
    public function setCss(XCss $css = null)
    {
        $this->css = $css;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddCssReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
